package no.valg.valgnatt.database.forberedvalg.geografi;

import lombok.Getter;
import lombok.Setter;

import java.util.Collection;
import java.util.Map;
import java.util.TreeMap;

public class Kommune {

    private Map<String, Krets> kretsMap = new TreeMap<>();
    // Hvorvidt historikken for foregående valg er sammenlignbar
    @Getter @Setter private boolean sisteSammenlignbar = true;
    @Getter @Setter private boolean nestSisteSammenlignbar = true;

    public Krets getKrets(String kretsnr) {
        return kretsMap.get(kretsnr);
    }

    public Collection<Krets> getKretser() {
        return kretsMap.values();
    }

    public void leggTilKrets(Krets krets) {
        kretsMap.put(krets.getKretsnr(), krets);
    }
}
